#version 120

#define EYE_ADJUST_TF_DARK 3.0 //Brightness multiplier for the whole screen when standing in darkness in the twilight forest [0.5 0.625 0.75 0.875 1.0 1.25 1.5 1.75 2.0 2.5 3.0 3.5 4.0]
#define EYE_ADJUST_TF_LIGHT 1.5 //Brightness multiplier for the whole screen when standing in bright light in the twilight forest [0.5 0.625 0.75 0.875 1.0 1.25 1.5 1.75 2.0 2.5 3.0 3.5 4.0]

uniform ivec2 eyeBrightnessSmooth;

varying float eyeAdjust; //How much brighter to make the world
varying vec2 texcoord;

void main() {
	texcoord = (gl_TextureMatrix[0] * gl_MultiTexCoord0).xy;
	gl_Position = ftransform();

	float eyeBlocklight = eyeBrightnessSmooth.x / 240.0;
	float eyeSkylight = eyeBrightnessSmooth.y / 240.0;
	eyeAdjust = mix(EYE_ADJUST_TF_DARK, EYE_ADJUST_TF_LIGHT, max(eyeBlocklight, eyeSkylight));
}